#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.19.1
visibility:           public
id:                   hledger-lib-1.19.1-GVSCEeXbYjt919XRlvTkYL
key:                  hledger-lib-1.19.1-GVSCEeXbYjt919XRlvTkYL
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:
    A reusable library providing the core functionality of hledger

description:
    A reusable library containing hledger'\''s core functionality.
    This is used by most hledger* packages so that they support the same
    common file formats, command line options, reports etc.

    hledger is a robust, cross-platform set of tools for tracking money,
    time, or any other commodity, using double-entry accounting and a
    simple, editable file format, with command-line, terminal and web
    interfaces. It is a Haskell rewrite of Ledger, and one of the leading
    implementations of Plain Text Accounting. Read more at:
    <https://hledger.org>

category:             Finance
abi:                  46700e079d69ad59b77ca7a7d18b7d4e
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Commodity Hledger.Data.Dates
    Hledger.Data.Journal Hledger.Data.Json Hledger.Data.Ledger
    Hledger.Data.Period Hledger.Data.PeriodicTransaction
    Hledger.Data.Posting Hledger.Data.RawOptions
    Hledger.Data.StringFormat Hledger.Data.Timeclock
    Hledger.Data.Transaction Hledger.Data.TransactionModifier
    Hledger.Data.Types Hledger.Data.Valuation Hledger.Query
    Hledger.Read Hledger.Read.Common Hledger.Read.CsvReader
    Hledger.Read.JournalReader Hledger.Read.TimeclockReader
    Hledger.Read.TimedotReader Hledger.Reports
    Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Reports.TransactionsReport
    Hledger.Utils Hledger.Utils.Color Hledger.Utils.Debug
    Hledger.Utils.Parse Hledger.Utils.Regex Hledger.Utils.String
    Hledger.Utils.Test Hledger.Utils.Text Hledger.Utils.Tree
    Hledger.Utils.UTF8IOCompat Text.Tabular.AsciiWide

hidden-modules:       Text.Megaparsec.Custom Paths_hledger_lib
import-dirs:          /usr/lib/ghc-8.10.2/site-local/hledger-lib-1.19.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/hledger-lib-1.19.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/hledger-lib-1.19.1
hs-libraries:         HShledger-lib-1.19.1-GVSCEeXbYjt919XRlvTkYL
depends:
    Decimal-0.5.1-AzJkj6spr9oGLuocamabdI
    Glob-0.10.1-2iGZJwKMy29J7DhFvxCUp5
    aeson-1.5.4.1-A0L815KAfIF5MogEzEmc2
    aeson-pretty-0.8.8-21J6iSSunyPGLOXcoweNHX
    ansi-terminal-0.11-6uBqs71NZjGGz3OSxMO8GB array-0.5.4.0
    base-4.14.1.0 base-compat-batteries-0.11.2-EZVG81qhEEzNqJISgF2rj
    blaze-markup-0.8.2.7-LxYHHNtMMqd23FQvjJOkWQ bytestring-0.10.10.0
    call-stack-0.2.0-8H31opUaC4i2upDsk10FSt
    cassava-0.5.2.0-H2R9GPxdCprBNeqt1Wl7YL
    cassava-megaparsec-2.0.2-1ne2GGrZPps1CvbQNTL70Q
    cmdargs-0.10.20-2pbK0xjyKWW1JFcGNWMDNe containers-0.6.2.1
    data-default-0.7.1.1-72cggqozPVh3J5wCw4ajUU directory-1.3.6.0
    extra-1.7.8-Kmp7a6LjiXo1SeamIxue6p
    fgl-5.7.0.3-1Q0cSw3mzSCKMINjUMjtOe
    file-embed-0.0.13.0-G4fwjmnadN6Cqq18FbYnBb filepath-1.4.2.1
    hashtables-1.2.4.1-9vE4szHxKmZD8dSnwS2lpx
    megaparsec-8.0.0-D6VketRFgbk9le2xfmDvBF mtl-2.2.2
    old-time-1.1.0.3-4WAXseRXxLRKCRu471UUPK parsec-3.1.14.0
    parser-combinators-1.2.1-BgKMLJR8mPH8EvrPvvjrd8
    pretty-show-1.10-KoCV1zEW9bj1zBOK0T05RL
    regex-tdfa-1.3.1.0-AFxBgVqbB6pDA5wu8Xc5xC
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    split-0.2.3.4-4bNLLkgEwDhGUL1sEhGHVC
    tabular-0.2.2.8-CBujZAWqvuoASG1Z76xmdo
    tasty-1.3.1-5ynQwOyhSNRAGcSHc0RFsf
    tasty-hunit-0.10.0.2-Fg80YF97PoOBLshNU6tYUD
    template-haskell-2.16.0.0 text-1.2.3.2 time-1.9.3
    timeit-2.0-9cuf7StXLBAKHvaFJ7TqTD transformers-0.5.6.2
    uglymemo-0.1.0.1-8jnmvCxUgD63i0ga11QOlD
    unordered-containers-0.2.13.0-KjldV6HJtaDB1Zm2KKQlBR
    utf8-string-1.0.1.1-G1tzxDqsWge3erFqc4Oe2R

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

